<?php
$this->load->view('templates/headers/forum_header', $title);
?>		

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line("Forum") ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home") ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line("Forum") ?></strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">
	    <div class="btn_filter_placeholder">
	    	<a href="<?php echo base_url(); ?>forum/create" class="btn btn-primary btn-forum-new-topic">
				<i class="fa fa-plus"></i> <?php echo $this->lang->line("new_topic_btn") ?>
			</a>
	    </div>
    </div>
</div>
<div class="col-lg-12 block_form">
		<?php
		if($settings["ads_code"] != ""):
		?>
		<div class="ad_block">
			<?php echo $settings["ads_code"]; ?>
		</div>
		<?php
		endif;
		?>
		<?php
		if(isset($_GET["action"])) {
			if($_GET["action"] == "delete_topic_ok") {
			?>
			<div class="alert alert-success alert-centered" style="margin-top: 10px;">
				<?php echo $this->lang->line("topic_deleted") ?>
			</div>
			<?php
			} else if($_GET["action"] == "demo") {
			?>
			<div class="alert alert-danger alert-centered" style="margin-top: 10px;">
				<?php echo $this->lang->line("cant_demo") ?>
			</div>
			<?php
			}
		}
		?>
        <div class="ibox-content-no-bg">
			<table class="table table-bordered table-striped">
				<tr>
					<th class="forum-title-topic-th"><?php echo $this->lang->line("last_topics"); ?></th>
				</tr>
				<?php
				if(sizeof($topics->result_array()) == 0) {
				?>
				<tr class="topic">
					<td colspan="1">
						<div class="alert alert-info alert-centered">
							<?php echo $this->lang->line("no_topics"); ?>
						</div>
					</td>
				</tr>
				<?php
				}
				foreach($topics->result_array() as $topic) {
					$nb_answers = $forum_model->count_answers_by_topic_id($topic["tid"]);
					$page_display = ceil($nb_answers / 50);
				?>
					<tr class="topic">
						<td>
							<div class="lstopic_title pull-left col-md-6" style="display:block;">
								<a href="<?php echo base_url("forum/topic/" . $topic["tid"]) ?>"><?php echo word_limiter($this->security->xss_clean($topic["title"]), 4); ?></a> 
								<?php
								if($page_display > 1):
									if($page_display == 2)
										$page_display_d = 25;
									else
										$page_display_d = 25 * ($page_display-1);
								?>
								- <a style="font-weight:normal;" href="<?php echo base_url("forum/topic/" . $topic["tid"] . "/" . $page_display_d) ?>">Page <?php echo $page_display ?></a>
								<?php
								endif;
								?>									
								<div class="lstopic_author">
									<i class="fa fa-calendar"></i> <span class="lstopic_ago" title="<?php echo $topic["last_answer_date"]; ?>"></span>
								</div>
							</div>
							<div class="pull-right" style="text-align:right; padding-top:1px;">
								<?php
									if($nb_answers <= 1):
									?>
										<strong><?php echo $forum_model->count_answers_by_topic_id($topic["tid"]) ?></strong> <?php echo $this->lang->line("answer"); ?>
									<?php else: ?>
										<strong><?php echo $forum_model->count_answers_by_topic_id($topic["tid"]) ?></strong> <?php echo $this->lang->line("answers"); ?>
									<?php
									endif;
								?>
								<br />
								<div style="font-size:12px;"> 
									<a href="<?php echo base_url("forum/category/" . $topic["cat_id"]) ?>"><?php echo $topic["cat_name"] ?></a>
								</div>
							</div>	
						</td>
					</tr>
				<?php
				}
				?>
				<?php
				if(sizeof($topics->result_array()) >= 20 || $page != 0):
				?>
				<tr>
					<td class="forum-title-topic-th"><div class="btnmoreplaceholder message"><?php echo $pagination; ?></div></td>
				</tr>
				<?php
				endif;
				?>
			</table>
					
			<table class="table table-bordered table-striped table-hover">
				<tr>
					<th class="forum-title-topic-th"><?php echo $this->lang->line("forum_categories"); ?></th>
				</tr>
				<?php
				if(sizeof($categories->result_array()) == 0) {
				?>
				<tr class="topic">
					<td colspan="1">
						<div class="alert alert-info alert-centered">
							<?php echo $this->lang->line("no_categories"); ?>
						</div>
					</td>
				</tr>
				<?php
				}
				foreach($categories->result_array() as $category) {
				?>
					<tr class="topic">
						<td>
							<div class="lstopic_title">
								<a href="<?php echo base_url("forum/category/" . $category["id"]) ?>"><?php echo $category["name"] ?></a>
							</div>
							<div class="fcat_desc">
								<?php echo $category["desc"] ?>
							</div>
						</td>
					</tr>
				<?php	
				}
				?>
			</table>
        </div>
	</div>
</div>
<?php
$this->load->view('templates/footers/forum_footer');
?>