<?php
$this->load->view('templates/headers/premium_index_header', $title);
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $title; ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home"); ?></a>
            </li>
            <li class="active">
                <strong><?php echo $this->lang->line("premium_features_title"); ?></strong>
            </li>
        </ol>
    </div>
</div>
<div class="col-lg-12 block_form">
	<?php
	if(isset($_GET["action"]))
	{
		if($_GET["action"] == "cancel") {
		?>
		<div class="alert alert-danger alert-centered">
			<?php echo $this->lang->line("order_cancelled"); ?>
		</div>
		<?php
		} else if($_GET["action"] == "error_payment") {
		?>
		<div class="alert alert-danger alert-centered">
			<?php echo $this->lang->line("error_payment"); ?>
		</div>
		<?php
		} else if($_GET["action"] == "payment_success") {
		?>
		<div class="alert alert-success alert-centered">
			<?php echo $this->lang->line("success_payment"); ?>
		</div>
		<?php
		}
	}	
	?>
	
	<?php
	$price_100_coins = 0;
	$price_500_coins = 0;
	$price_1000_coins = 0;
		
	foreach($coins as $coin):
		if($coin["nb"] == 100) {
			$price_100_coins = $coin["price"];
		} else if($coin["nb"] == 500) {
			$price_500_coins = $coin["price"];
		} else if($coin["nb"] == 1000) {
			$price_1000_coins = $coin["price"];
		}
	endforeach;	
	?>
	
	<h3><i class="fa fa-diamond"></i> <?php echo $this->lang->line("buy_coins_title"); ?></h3>
	<div class="well alert-centered">
		<?php echo sprintf($this->lang->line("to_unlock_you_have_to"), $settings["site_name"]); ?>
		<?php
		$buy_coins_opt_1 = sprintf($this->lang->line("buy_coins_opt_1"), number_format((float)$price_100_coins, 2, '.', ''));
		$buy_coins_opt_2 = sprintf($this->lang->line("buy_coins_opt_2"), number_format((float)$price_500_coins, 2, '.', ''));
		$buy_coins_opt_3 = sprintf($this->lang->line("buy_coins_opt_3"), number_format((float)$price_1000_coins, 2, '.', ''));
		?>
		<hr />
		<div class="buy_coins_calculator row">
			<div class="buy_buttons">
				<div class="col-md-4 coin_option">
					<a href="" class="btn btn-primary buy_coins" data-nb="100" data-price="<?php echo number_format((float)$price_100_coins, 2, '.', ''); ?>"><i class="fa fa-plus"></i> <?php echo $buy_coins_opt_1; ?></a>
				</div>
				<div class="col-md-4 coin_option">
					<a href="" class="btn btn-primary buy_coins" data-nb="500" data-price="<?php echo number_format((float)$price_500_coins, 2, '.', ''); ?>"><i class="fa fa-plus"></i> <?php echo $buy_coins_opt_2; ?></a>
				</div>
				<div class="col-md-4 coin_option">
					<a href="" class="btn btn-primary buy_coins" data-nb="1000" data-price="<?php echo number_format((float)$price_1000_coins, 2, '.', ''); ?>"><i class="fa fa-plus"></i> <?php echo $buy_coins_opt_3; ?></a>
				</div>
			</div>
			<div class="purchase_buttons">
				<?php
				if(!empty($settings["paypal_api_username"]) && !empty($settings["paypal_api_pw"]) && !empty($settings["paypal_api_sign"])) {
				?>
				<a href="<?php echo base_url(); ?>premium/pay_with_paypal" class="stripe-button-el-paypal">
					<span style="display: block; min-height: 30px;"></span>
				</a>
				<?php
				}
				?>
				<?php
				if(!empty($settings["stripe_secret_key"]) && !empty($settings["stripe_pub_key"])) {
				?>
				<a href="#" class="stripe-button-el-stripe">
					<span style="display: block; min-height: 30px;"></span>
				</a>
				<?php
				}
				?>
			</div>
		</div>
		<hr />
		<div class="coins_available">
			<i class="fa fa-diamond"></i> <?php echo sprintf($this->lang->line("coins_available"), $user_coins); ?>
		</div>
	</div>
	<hr />
	<h3><i class="fa fa-tags"></i> <?php echo $this->lang->line("premium_features_title"); ?></h3>
	<div class="alert alert-success alert-centered alert-purchase">
		
	</div>
	<div class="well premium_feature">
		<div class="row">
			<div class="pf_icon col-md-2">
				<i class="fa fa-heart"></i>
			</div>
			<div class="pf_desc col-md-8">
				<h4><?php echo $this->lang->line("see_who_loves_you_title"); ?> <span class="price_desk_premium">&bullet; <span class="badge badge-danger badge-premium-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["see_who_loves_you_price"]); ?></span></span></h4>
				<span class="badge badge-danger badge-mob-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["see_who_loves_you_price"]); ?></span>
				<p>
					<?php echo sprintf($this->lang->line("see_who_loves_you_desc"), $settings["site_name"]); ?>
				</p>
			</div>
			<div class="pf_take_it col-md-2">
				<?php
				if($loves_purchased):
				?>
				<a class="btn btn-success disabled">
					<i class="fa fa-check"></i> <?php echo $this->lang->line("purchased_btn"); ?>
				</a>
				<?php else: ?>
				<a class="btn btn-danger btn-take" data-name="see_who_loves_you">
					<i class="fa fa-diamond"></i> <?php echo $this->lang->line("take_it_btn"); ?>
				</a>
				<?php
				endif;
				?>
			</div>
		</div>
	</div>
	<div class="well premium_feature">
		<div class="row">
			<div class="pf_icon col-md-2">
				<i class="fa fa-eye-slash"></i>
			</div>
			<div class="pf_desc col-md-8">
				<h4><?php echo $this->lang->line("browse_invisibly_title"); ?> <span class="price_desk_premium">&bullet; <span class="badge badge-danger badge-premium-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["browse_invisibly_price"]); ?></span></span></h4>
				<span class="badge badge-danger badge-mob-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["browse_invisibly_price"]); ?></span>
				<p>
					<?php echo sprintf($this->lang->line("browse_invisibly_desc"), $settings["site_name"]); ?>
				</p>
			</div>
			<div class="pf_take_it col-md-2">
				<?php
				if($invisibly_purchased):
				?>
				<a class="btn btn-success disabled">
					<i class="fa fa-check"></i> <?php echo $this->lang->line("purchased_btn"); ?>
				</a>
				<?php else: ?>
				<a class="btn btn-danger btn-take" data-name="browse_invisibly">
					<i class="fa fa-diamond"></i> <?php echo $this->lang->line("take_it_btn"); ?>
				</a>
				<?php
				endif;
				?>
			</div>
		</div>
	</div>	
	<div class="well premium_feature">
		<div class="row">
			<div class="pf_icon col-md-2">
				<i class="fa fa-send"></i>
			</div>
			<div class="pf_desc col-md-8">
				<h4><?php echo $this->lang->line("featured_one_week_title"); ?> <span class="price_desk_premium">&bullet; <span class="badge badge-danger badge-premium-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["featured_one_week_price"]); ?></span></span></h4>
				<span class="badge badge-danger badge-mob-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["featured_one_week_price"]); ?></span>
   				<p>
					<?php echo $this->lang->line("featured_one_week_desc"); ?>
					<?php
					if($is_featured_one_week):
						$phpdate = strtotime( $one_week_featured["end_date"] );
						$mysqldate = date( 'Y-m-d', $phpdate );	
					?>
					<i><?php echo sprintf($this->lang->line("premium_until"), $mysqldate); ?></i>.
					<?php
					endif;	
					?>
				</p>
			</div>
			<div class="pf_take_it col-md-2">
				<?php
				if($is_featured_one_week || $is_featured_one_month):
				?>
				<a class="btn  btn-success disabled" data-name="featured_one_week">
					<i class="fa fa-check"></i> <?php echo $this->lang->line("purchased_btn"); ?>
				</a>
				<?php
				else:
				?>
				<a class="btn btn-danger btn-take" data-name="featured_one_week">
					<i class="fa fa-diamond"></i> <?php echo $this->lang->line("take_it_btn"); ?>
				</a>
				<?php
				endif;
				?>
			</div>
		</div>
	</div>
	<div class="well premium_feature">
		<div class="row">
			<div class="pf_icon col-md-2">
				<i class="fa fa-rocket"></i>
			</div>
			<div class="pf_desc col-md-8">
				<h4><?php echo $this->lang->line("featured_one_month_title"); ?> <span class="price_desk_premium">&bullet; <span class="badge badge-danger badge-premium-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["featured_one_month_price"]); ?></span></span></h4>
				<span class="badge badge-danger badge-mob-price"><?php echo sprintf($this->lang->line("feature_price"), $settings["featured_one_month_price"]); ?></span>
				<p>
					<?php echo $this->lang->line("featured_one_month_desc"); ?>
					<?php
					if($is_featured_one_month):
						$phpdate = strtotime( $one_month_featured["end_date"] );
						$mysqldate = date( 'Y-m-d', $phpdate );	
					?>
					<i><?php echo sprintf($this->lang->line("premium_until"), $mysqldate); ?></i>.
					<?php
					endif;	
					?>
				</p>
			</div>
			<div class="pf_take_it col-md-2">
				<?php
				if($is_featured_one_week || $is_featured_one_month):
				?>
				<a class="btn  btn-success disabled" data-name="featured_one_week">
					<i class="fa fa-check"></i> <?php echo $this->lang->line("purchased_btn"); ?>
				</a>
				<?php
				else:
				?>
				<a class="btn btn-danger btn-take" data-name="featured_one_month">
					<i class="fa fa-diamond"></i> <?php echo $this->lang->line("take_it_btn"); ?>
				</a>
				<?php
				endif;
				?>
			</div>
		</div>
	</div>
</div>
<?php
$this->load->view('templates/footers/premium_index_footer');
?>