<?php
$this->load->view('templates/headers/friends_header', $title);
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2><?php echo $this->lang->line("friends_title"); ?></h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Home"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>"><?php echo $this->lang->line("Users"); ?></a>
            </li>
            <li>
                <a href="<?php echo base_url(); ?>user/profile/<?php echo $this->session->userdata("user_id"); ?>"><?php echo $this->session->userdata("user_username") ?></a>
            </li>
            <li class="active">
                <strong><?php echo $title; ?></strong>
            </li>
        </ol>
    </div>
</div>
<div class="col-lg-12 block_form">
		<?php
		if($settings["ads_code"] != ""):
		?>
		<div class="ad_block">
			<?php echo $settings["ads_code"]; ?>
		</div>
		<?php
		endif;
		?>
        <div class="ibox-content-no-bg">
			<div class="col-md-4">
				<a class="btn btn-primary btn-block btn-show-friend-requests" href="<?php echo base_url(); ?>user/requests"><i class="fa fa-user-plus"></i> <?php echo $this->lang->line("friend_requests_btn"); ?> (<?php echo $nb_new_requests; ?>)</a>
			</div>
			<div class="alert alert-info col-md-8" style="text-align:center;margin-top: 10px;">
				<?php echo $this->lang->line("here_list_friends"); ?>
			</div>
			<div id="userslst" class="clearfix">
				<?php
		    	$cpt = 1;
		    	?>
		    	<?php foreach($users as $user): ?>
		    	
		    	<?php
		    	$birthdate = new DateTime($user["birthday"]);
				$today     = new DateTime();
				$interval  = $today->diff($birthdate);
				$age	   = $interval->format('%y');
				
				if($user["gender"] == 0) {
					$gender_color = "male_color";
				} else {
					$gender_color = "female_color";
				}
				
				if($user["thumb_url"] == "" || $user["thumb_url"] == NULL) {
					$user["thumb_url"] = "images/avatar.png";
				}
				?>
		    	
				<div class="col-lg-3 col-md-4 col-xs-6 clearfix user_block user_poke_friends" data-user-id="<?php echo $user["uid"]; ?>" data-cpt="<?php echo $cpt; ?>">
					<div class="thumb">
		                <a class="thumbnail" href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>">
			                <img src="<?php echo base_url() . $user["thumb_url"]; ?>" alt="Photo User" />
			                <?php
				            if($user["st_love"] == 1)
				            {
					        ?>
					        <div class="love_button loved" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
					        <?php
						    } else {
							?>
							<div class="love_button" data-profile-id="<?php echo $user["uid"]; ?>"><i class="fa fa-heart"></i></div>
							<?php
						    }
				            ?>
			                <?php
				                if($user["is_online"] == 1):
				            ?>
			                <div class="online_status"><i class="fa fa-circle"></i></div>
			                <?php
				                endif;
				            ?>
		               	</a>
					   	<div class="userslst_infos">
						   	<a href="<?php echo base_url(); ?>user/profile/<?php echo $user["uid"]; ?>" class="userslst_username <?php echo $gender_color; ?>"><?php echo $user["username"]; ?></a>
						   	<?php
							if($user["city"] == "") {
				                $user["city"] = $this->lang->line("unknown_city");
			                }
			                ?>
						   	<div class="userslst_age"><?php echo $age; ?> &#8226; <?php if($settings["hide_country"] == 0): ?><?php echo get_country_name_by_code($user["country"]); ?><?php else: ?><?php echo $user["city"]; ?><?php endif; ?></div>
						   	<div class="btn-poke-back-placeholder">
							   	<a class="btn btn-primary btn-block btn-send-friend-pm" href="#" data-user-id="<?php echo $user["uid"]; ?>">
									<i class="fa fa-envelope"></i> <?php echo $this->lang->line("send_message_btn"); ?>
							   	</a>
						   	</div>
						</div>
					</div>
	            </div>
				<?php
				$cpt++;
				endforeach;
				?>
			</div>
			<?php
			if($links != ""):
			?>
			<div class="btnmoreplaceholder message">
				<?php echo $links; ?>
			</div>
			<?php
			endif; 
			?>
			<?php
			if(sizeof($users) == 0):
			?>
			<div class="alert alert-danger alert-centered">
				<?php echo $this->lang->line("no_friends_for_now"); ?>
			</div>
			<?php
			endif;
			?>
        </div>
    </div>
<?php
$this->load->view('templates/footers/friends_footer');
?>