<?php
class photo extends CI_Controller {

    function __construct()
    {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library('form_validation');
    }
    
    function delete_photo()
    {
		$this->load->model('photo_model');
		$this->load->model('user_model');
		
		$result = array();
		
		$photo_id = $this->input->post("photo_id");
		
		if(DEMO_MODE == 1) {
	        $result["error"] = 500;
        } else {
			
			// Check if this photo is owned by this user
			if($this->photo_model->user_owns_photo($this->session->userdata("user_id"), $photo_id)) {
				
				$photo = $this->photo_model->get($photo_id)->result_array();
				$photo = $photo[0];
				
				$filepath = $_SERVER['DOCUMENT_ROOT'].$photo["url"];
				$thumbpath = $_SERVER['DOCUMENT_ROOT'].$photo["thumb_url"];
				
				// Check if it was this user profile's photo
				$user = $this->user_model->get($this->session->userdata("user_id"))->result_array();
				$user = $user[0];
				
				// Update user profile picture to null
				if($user["main_photo"] == $photo_id) {
					$this->user_model->update_info($this->session->userdata("user_id"), array("main_photo" => ""));
					$this->session->set_userdata(
						array(
							"user_avatar"	=> base_url() . "images/avatar.png"
						)
					);
				}
				
				// Delete photo from DB
				$this->photo_model->delete($photo_id);
				
				// Delete files
				@unlink($filepath);
				@unlink($thumbpath);
				
				$result["error"] = 0;
			} else {
				$result["error"] = 999;
			}
		}
			
		header('Content-type: application/json;');
		echo json_encode($result);
	}
    
    function uploadPhoto()
    {
    	$this->load->helper('url');
    	$this->load->model('photo_model', 'picManager');
    	$this->load->model('user_model', 'userManager');
    	
		$result = array();
		
		$user = $this->userManager->get($this->session->userdata("user_id"))->result_array();
		$user = $user[0];

     	$user_id = url_title($this->session->userdata('user_id'));
        
        if(DEMO_MODE == 1) {
	        $result["status"] = 500;
        } else {
	        if($user_id == null)
	        {
		        $result["status"] = 0;
	        } else {
	        
	        	$this->load->model("site_model");
	        	$settings = $this->site_model->get_website_settings()->result_array();
			    $settings = $settings[0];
	        
				$max_upload = $settings["upload_limit"];
				$user_photos = $this->picManager->count_user_photos($this->session->userdata("user_id"));
				
				if($user_photos >= $max_upload && $max_upload != 0) {
					$result["status"] = 998;
				} else {
		        
		        	// Check if the directory already exists
		        	if (!file_exists("./uploads/photos/" . $user_id . "/")) {
		        		mkdir("./uploads/photos/" . $user_id . "/");
		        		mkdir("./uploads/photos/" . $user_id . "/thumbnails/");
		        	}
		        	
		        	// Copy the file to the correct directory
					if (!empty($_FILES))
					{
						$nameFile 	= rand(0,999999).time();
					    $tempFile 	= $_FILES['upl']['tmp_name'];
					    $fileSize 	= $_FILES['upl']['size'];
					    $fileTypes 	= array('jpg','jpeg','png', 'JPG', 'JPEG', 'PNG'); // File extensions
					    $fileParts 	= pathinfo($_FILES['upl']['name']);
					    $targetPath = "./uploads/photos/" . $user_id . "/";
					    $targetPathThumb = $targetPath . "thumbnails/";
					    $targetPathEcho = "/uploads/photos/" . $user_id . "/";
					    $targetPathEchoThumb = "/uploads/photos/" . $user_id . "/thumbnails/";
					    $targetFile =  str_replace('//','/',$targetPath) . $nameFile . "." . $fileParts["extension"];
					    $targetFileThumb = str_replace('//','/',$targetPathThumb) . $nameFile . "." . $fileParts["extension"];
					    $targetFileEcho = str_replace('//','/',$targetPathEcho) . $nameFile . "." . $fileParts["extension"];
					    $targetFileEchoThumb = str_replace('//','/',$targetPathEchoThumb) . $nameFile . "." . $fileParts["extension"];
					
						if($fileSize <= 7000000)
						{
						    if (in_array($fileParts['extension'],$fileTypes)) {
						    	// Send the file
								$file = $this->compress_image($tempFile, $targetFile, 100);
								
								$thumbWidth = 800;
								
								// Create the thumbnail
								$img = imagecreatefromjpeg( $file );
								$width = imagesx( $img );
								$height = imagesy( $img );
								
								// calculate thumbnail size
								$new_width = $thumbWidth;
								$new_height = floor( $height * ( $thumbWidth / $width ) );
								
								// create a new temporary image
								$tmp_img = imagecreatetruecolor( $new_width, $new_height );
								
								// copy and resize old image into new image
								imagecopyresized( $tmp_img, $img, 0, 0, 0, 0, $new_width, $new_height, $width, $height );
								
								// save thumbnail into a file
								imagejpeg( $tmp_img, $targetFileThumb );
								
								if($user["gender"] == 1) {
				                	$word_gender = "her";
			                	} else {
				                	$word_gender = "his";
			                	}
								
								$this->load->model('action_model', 'actionModel');
								$this->actionModel->add($this->session->userdata('user_id'), 17, "<a href='" . base_url("user/profile/" . $this->session->userdata('user_id')) . "'>" . $this->session->userdata('user_username') . "</a> uploaded new photos on " . $word_gender . " profile.", base_url("user/profile/" . $this->session->userdata('user_id')), "<i class='fa fa-picture-o'></i>");
								
								// Add picture in the DB 
								$pic_id = $this->picManager->add($targetFileEcho, $targetFileEchoThumb, $this->session->userdata('user_id'));
								$result["status"] 	= 1; 
								$result["photo"] 	= $targetFileEcho;
								$result["id"]		= $pic_id; 
								
								// Count user photos
								$nb_user_photos = $this->picManager->count_user_photos($this->session->userdata('user_id'));
								
								// User has just one photo, set it as the profile picture
								if($nb_user_photos == 1) {
									$this->userManager->update_info($this->session->userdata('user_id'), array("main_photo" => $pic_id));
									
									$this->session->set_userdata(
										array(
											"user_avatar"	=> $targetFileEchoThumb,
										)
									);
								}
								
						    } else {
						        $result["status"] = 0;
						    }
					    }
					} 
				}
			}
		}
		
		header('Content-type: application/json;');
        echo json_encode($result);
    }
    
    function filemanipulation($extension,$filename)
    {
        // you can insert the result into the database if you want.
        if($this->is_image($extension)) 
        {
            $config['image_library']  = 'gd2';
            $config['source_image']   = './uploads/'.$filename;
            $config['new_image']      = './uploads/thumbs/';
            $config['create_thumb']   = TRUE;
            $config['maintain_ratio'] = TRUE;
            $config['thumb_marker']   = '';
            $config['width']   = 300;
            $config['height']   = 300;

            $this->load->library('image_lib', $config); 

            $this->image_lib->resize();
            echo 'image';
        }
        else echo 'file';
    }
    
    function save_photos_infos()
	{
		$result = 0;
		
		$photo_array = $this->input->post("photo_array");

		if(!$this->session->userdata("user_id"))
		{
			$result = 999;
		} else {
			foreach($photo_array as $photo) {				
				
				$pic_id = $photo['photo_id'];
					
				$data = array("text" => $photo['title']);
				
				$this->load->model('photo_model');
			
				$this->photo_model->update($pic_id, $data);
				
				$result = 1;
				
			}
		}
		
		header('Content-type: application/json;');
		echo json_encode($result);
	}
	
	function manage()
	{
		$this->lang->load('user_lang', $this->input->cookie('language'));
		$this->lang->load('site_lang', $this->input->cookie('language'));
		
		if(!$this->session->userdata("user_id"))
		{
			header("Location: " . base_url());
		} else {
			$data = array();
			
			$this->load->model("site_model");
		    $this->load->model('user_model');	
			$this->load->model("pm_model");
			
			// Get custom pages
			if($this->site_model->count_custom_pages() > 0) {
				$data["pages"] = $this->site_model->get_pages()->result_array();
			} else {
				$data["pages"] = null;
			}
			
			$data["title"] = $this->lang->line("p_manage_photos");
			
			$settings = $this->site_model->get_website_settings()->result_array();
		    $settings = $settings[0];
		    $data["settings"] = $settings;

			$nb_pm = $this->pm_model->count_unread($this->session->userdata('user_id'));
			$data["nb_pm"] = $nb_pm;
			
			$new_loves = $this->user_model->count_new_loves($this->session->userdata("user_id"));
			$data["nb_new_loves"] = $new_loves;
			
			$new_friends = $this->user_model->count_new_friends($this->session->userdata("user_id"));
			$data["nb_new_friends"] = $new_friends;
			
			$user = $this->user_model->get($this->session->userdata("user_id"))->result_array();
			$user = $user[0];
			
			$new_poke_requests = $this->user_model->count_new_requests($this->session->userdata("user_id"));
			$data["nb_new_requests"] = $new_poke_requests;
			
			$new_profile_visits = $this->user_model->count_new_profile_visits($this->session->userdata("user_id"));
			$data["nb_new_visits"] = $new_profile_visits;
			
			$data["total_notif"] = intval($new_profile_visits) + intval($nb_pm) + intval($new_loves) + intval($new_poke_requests) + intval($new_friends);

			$photos = $this->user_model->get_photos($this->session->userdata("user_id"), 50)->result_array();
			$data["photos"] = $photos;
		
			$this->load->view('photo/manage', $data);
		}
	}
    
    function add()
    {
	    $this->lang->load('site_lang', $this->input->cookie('language'));
	    $this->lang->load('upload_lang', $this->input->cookie('language'));
	   	$this->lang->load('user_lang', $this->input->cookie('language'));
	    
		if(!$this->session->userdata("user_id"))
		{
			header("Location: " . base_url());
		} else {
			$data = array();
		
			$this->load->model('site_model');
			
			// Get custom pages
			if($this->site_model->count_custom_pages() > 0) {
				$data["pages"] = $this->site_model->get_pages()->result_array();
			} else {
				$data["pages"] = null;
			}
	    
		    $settings = $this->site_model->get_website_settings()->result_array();
		    $settings = $settings[0];
		    $data["settings"] = $settings;
			
			$this->load->model('user_model');	
				
			$this->load->model("pm_model");
			$nb_pm = $this->pm_model->count_unread($this->session->userdata('user_id'));
			$data["nb_pm"] = $nb_pm;
			
			$new_loves = $this->user_model->count_new_loves($this->session->userdata("user_id"));
			$data["nb_new_loves"] = $new_loves;
			
			$new_friends = $this->user_model->count_new_friends($this->session->userdata("user_id"));
			$data["nb_new_friends"] = $new_friends;
			
			$user = $this->user_model->get($this->session->userdata("user_id"))->result_array();
			$user = $user[0];
			
			$new_poke_requests = $this->user_model->count_new_requests($this->session->userdata("user_id"));
			$data["nb_new_requests"] = $new_poke_requests;
			
			$new_profile_visits = $this->user_model->count_new_profile_visits($this->session->userdata("user_id"));
			$data["nb_new_visits"] = $new_profile_visits;
			
			$data["total_notif"] = intval($new_profile_visits) + intval($nb_pm) + intval($new_loves) + intval($new_poke_requests) + intval($new_friends);
			
			$data["title"] = $this->lang->line("upload_photos_title");
		
			$this->load->view('photo/add', $data);
		}
	}
	
	private function compress_image($source, $destination, $quality, $width = 1000) 
    { 
    	$info = getimagesize($source); 
    	
    	
    	if ($info['mime'] == 'image/jpeg') 
    		$img = imagecreatefromjpeg( $source );
    	elseif ($info['mime'] == 'image/gif') 
    		$img = imagecreatefromgif( $source ); 
    	elseif ($info['mime'] == 'image/png') 
    		$img = imagecreatefrompng( $source ); 
    		
    	$thumbWidth = $width;
							
		// Create the thumbnail
		$width = imagesx( $img );
		$height = imagesy( $img );
		
		// calculate thumbnail size
		$new_width = $thumbWidth;
		$new_height = floor( $height * ( $thumbWidth / $width ) );
		
		// create a new temporary image
		$tmp_img = imagecreatetruecolor( $new_width, $new_height );
		
		// copy and resize old image into new image
		imagecopyresized( $tmp_img, $img, 0, 0, 0, 0, $new_width, $new_height, $width, $height );
		
		// save thumbnail into a file
		imagejpeg( $tmp_img, $destination, $quality );
    		
    	return $destination; 
    } 
}